;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux planner-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The planner-el package follows the Debian/GNU Linux 'emacsen'
;; policy and byte-compiles its elisp files for each 'emacs flavor'
;; (emacs19, xemacs19, emacs20, xemacs20...).  The compiled code is
;; then installed in a subdirectory of the respective site-lisp
;; directory.  We have to add this to the load-path:

(if (not (file-exists-p "/usr/share/emacs/site-lisp/planner-el"))
    (message "Package planner-el removed but not purged.  Skipping setup.")
  (let ((base (concat "/usr/share/" (symbol-name flavor)
                      "/site-lisp/planner-el")))
    (debian-pkg-add-load-path-item base)
    (add-to-list 'load-path (concat base "/contrib") t))

  (load "planner-autoloads.el"))
